# OpalMediaSession Class Reference

`#include <rtpconn.h>`

Inheritance diagram for OpalMediaSession:

[legend]
Collaboration diagram for OpalMediaSession:
[legend]

## Public Member Functions

| OpalMediaSession (OpalConnection &conn, const OpalMediaType &_mediaType, unsigned sessionId)
| OpalMediaSession (const OpalMediaSession &_obj)
virtual void | Close ()=0
virtual PObject * | Clone () const =0
virtual bool | IsActive () const =0
virtual bool | IsRTP () const =0
virtual bool | HasFailed () const =0
virtual OpalTransportAddress | GetLocalMediaAddress () const =0
virtual void | SetRemoteMediaAddress (const OpalTransportAddress &, const OpalMediaFormatList &)
virtual SDPMediaDescription * | CreateSDPMediaDescription (const OpalTransportAddress &localAddress)=0
virtual OpalMediaStream * | CreateMediaStream (const OpalMediaFormat &mediaFormat, unsigned sessionID, PBoolean isSource)=0

## Data Fields

OpalConnection & | connection
OpalMediaType | mediaType
unsigned | sessionId

## Detailed Description

Class for carrying media session information

## Constructor & Destructor Documentation

OpalMediaSession::OpalMediaSession | ( | OpalConnection & | conn,
|  | const OpalMediaType & | _mediaType,
|  | unsigned | sessionId |
| ) |  |  |

OpalMediaSession::OpalMediaSession | ( | const OpalMediaSession & | _obj | ) |

## Member Function Documentation

virtual PObject* OpalMediaSession::Clone | ( |  | ) | const`[pure virtual]`

Implemented in OpalMSRPMediaSession, OpalSIPIMMediaSession, and OpalRTPMediaSession.

virtual void OpalMediaSession::Close | ( |  | ) | `[pure virtual]`

Implemented in OpalMSRPMediaSession, OpalSIPIMMediaSession, and OpalRTPMediaSession.

virtual OpalMediaStream* OpalMediaSession::CreateMediaStream | ( | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | PBoolean | isSource |
| ) |  |  | `[pure virtual]`

Implemented in OpalMSRPMediaSession, OpalSIPIMMediaSession, and OpalRTPMediaSession.

virtual SDPMediaDescription* OpalMediaSession::CreateSDPMediaDescription | ( | const OpalTransportAddress & | localAddress | ) | `[pure virtual]`

Implemented in OpalMSRPMediaSession, OpalSIPIMMediaSession, and OpalRTPMediaSession.

virtual OpalTransportAddress OpalMediaSession::GetLocalMediaAddress | ( |  | ) | const`[pure virtual]`

Implemented in OpalMSRPMediaSession, OpalSIPIMMediaSession, and OpalRTPMediaSession.

virtual bool OpalMediaSession::HasFailed | ( |  | ) | const`[pure virtual]`

Implemented in OpalMSRPMediaSession, OpalSIPIMMediaSession, and OpalRTPMediaSession.

virtual bool OpalMediaSession::IsActive | ( |  | ) | const`[pure virtual]`

Implemented in OpalMSRPMediaSession, OpalSIPIMMediaSession, and OpalRTPMediaSession.

virtual bool OpalMediaSession::IsRTP | ( |  | ) | const`[pure virtual]`

Implemented in OpalMSRPMediaSession, OpalSIPIMMediaSession, and OpalRTPMediaSession.

virtual void OpalMediaSession::SetRemoteMediaAddress | ( | const OpalTransportAddress & | ,
|  | const OpalMediaFormatList & |  |
| ) |  |  | `[inline, virtual]`

Reimplemented in OpalMSRPMediaSession, and OpalSIPIMMediaSession.

## Field Documentation

OpalConnection& OpalMediaSession::connection

OpalMediaType OpalMediaSession::mediaType

unsigned OpalMediaSession::sessionId

The documentation for this class was generated from the following file:

- rtpconn.h